Subject: bug#66129: closed (Re: bug#66129: [PATCH 00/20] Split SuiteSparse into subpackages)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Oct 2023 10:32:02 +0000

Your bug report

#66129: [PATCH 00/20] Split SuiteSparse into subpackages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66129: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66129
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66129: [PATCH 00/20] Split SuiteSparse into subpackages
From: Ludovic Courtès <[email-masked]>
To: David Elsing <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 Oct 2023 12:31:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi David,

David Elsing <[email-masked]> skribis:

> I changed the packages to use the same source. With the autogenerated
> files removed, it is somewhat less unwieldy than the original checkout
> (90 MB instead of 165 MB).

Awesome.

I pushed the whole series as 1b5067c0d002c5d019ab69c5fbc22fac68acda3d.

Thanks,
Ludo’.

Subject: [PATCH 00/20] Split SuiteSparse into subpackages
From: David Elsing <[email-masked]>
To: [email-masked]
Cc: David Elsing <[email-masked]>
Date: Wed, 20 Sep 2023 22:05:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series adds the individual SuiteSparse packages (as in
Gentoo:
https://packages.gentoo.org/packages/sci-libs/suitesparse/dependencies),
with autogenerated files and bundled libraries removed.

The GraphBLAS library is not yet included, but AFAICT it is not required
by any other package. It also makes up by far the most space of the
suitesparse package, e.g. on x86_64-linux, libgraphblas.so.7.2.0 is 196
MB of the 201 MB SuiteSparse package.

I think it would be best to keep the full suitesparse package until all
of its dependencies are updated and the GraphBLAS package is added, as
replacing them all at once would make the patch series quite large.

Is the use of (@@ (guix packages) computed-origin-method) ok for
creating the individual origins or is there another alternative?

David Elsing (20):
  gnu: suitesparse: Tweak description.
  gnu: Add suitesparse-config.
  gnu: Add suitesparse-amd.
  gnu: Add suitesparse-btf.
  gnu: Add suitesparse-camd.
  gnu: Add suitesparse-colamd.
  gnu: Add suitesparse-ccolamd.
  gnu: Add gklib.
  gnu: Add metis-5.2.
  gnu: Add gklib-suitesparse.
  gnu: Add metis-suitesparse.
  gnu: Add suitesparse-cholmod.
  gnu: Add suitesparse-cxsparse.
  gnu: Add suitesparse-klu.
  gnu: Add suitesparse-ldl.
  gnu: Add suitesparse-rbio.
  gnu: Add suitesparse-mongoose.
  gnu: Add suitesparse-spex.
  gnu: Add suitesparse-spqr.
  gnu: Add suitesparse-umfpack.

 gnu/packages/maths.scm                       | 922 ++++++++++++++++++-
 gnu/packages/patches/gklib-suitesparse.patch |  65 ++
 2 files changed, 986 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/gklib-suitesparse.patch

-- 
2.41.0